Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01952 Cheat System Minor Always Jun 28, 2008, 20:40 23 days ago
Tester user250 View Status Public Platform MAME (Self-compiled)
Assigned To Resolution Fixed OS
Status [?] Resolved Driver
Version 0.125u8 Fixed in Version 0.126 Build
Fixed in Git Commit Github Pull Request #
Summary 01952: sfex2p: Cheat crash.
Description When loading the game and selecting the cheat menu the game crashes with access violation.
Steps To Reproduce G:\emul\neogeo>mame sfex2p

-----------------------------------------------------
Exception at EIP=77C278C0: ACCESS VIOLATION
While attempting to read memory at 824E5534
-----------------------------------------------------
EAX=824E5534 EBX=0293CB00 ECX=824E5534 EDX=0315C8C8
ESI=00000002 EDI=00000000 EBP=0022F648 ESP=0022F60C
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems sfex2p
Attached Files
png file icon sfex2p.png (373,102 bytes) Jun 29, 2008, 03:40
zip file icon sfex2p.zip (936,034 bytes) Jul 4, 2008, 16:32
Relationships
related to 01968Resolved -CHEAT trigger causes MAME crash when starting or exiting with some sets. 
Notes
5
User avatar
No.01437
Fujix
Administrator
Jun 29, 2008, 03:40
edited on: Jun 29, 2008, 03:41
I tried cheat.dat from Pugsy's site (MAME CHEAT FILE Release Date: 05 Feb 2008 (Base release for MAME 0.123) with default cheat options.
I can open the cheat menu as the screenshot.

But Tafoid has the crash with the freshly-downloaded file, we are investigating the issue now.
User avatar
No.01439
Fujix
Administrator
Jun 29, 2008, 09:31
Tafoid figured out the problem.
If you use an artwork and open the cheat menu, MAME crashes.
User avatar
No.01481
ShimaPong
Tester
Jul 4, 2008, 15:46
> Tafoid figured out the problem.
He has fixed this bug?

I don't have sfex2p so that can't confirm it in this game
Please give me more information.
(But I have not touched artwork system...)
User avatar
No.01482
Fujix
Administrator
Jul 4, 2008, 16:53
edited on: Jul 4, 2008, 17:04
> He has fixed this bug?

No, how come? He just figured out how to reproduce the problem.

> I don't have sfex2p so that can't confirm it in this game

I uploaded the artwork for sfex2p.

I don't get significant backtraces in u9:
Program received signal SIGSEGV, Segmentation fault.
0x77bf4609 in wscanf () from C:\WINDOWS\system32\msvcrt.dll
(gdb) bt
#0  0x77bf4609 in wscanf () from C:\WINDOWS\system32\msvcrt.dll
#1  0x00002400 in ?? ()
#2  0x04000000 in ?? ()
#3  0x00000000 in ?? ()
(gdb)
If this was caused by the same reason as 01968, should have been fixed already.
User avatar
No.01485
ShimaPong
Tester
Jul 4, 2008, 19:58
> No, how come? He just figured out how to reproduce the problem.
OK. (and I have reconfirmed my Japanese-English dictionary to check "figure out"...)

> I uploaded the artwork for sfex2p.
Sorry, I don't have sfex2p itself, otherwords "ROM set". Not "Artwork".
Therefore I can't reproduse due to missing this set in my MAME.

> If this was caused by the same reason as 01968, should have been fixed already.
And this bug becomes "Resolved". So I think the same problem.